<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Register</title>
        <div th:replace="fragments/header :: header-css"/>
    </head>
    <body>
        <div th:replace="fragments/header :: header"/>
        <div class="container">

            <form th:action="@{/register}" method="post" th:object="${accountForm}" modelAttribute="accountForm">
                <h1>Please register a new user:</h1>
                <div th:if="${param.logout}">
                    <div class="alert alert-info">You have been logged out.</div>
                </div>
                <div class="form-group">
                    <input type="text" name="username" id="username" class="form-control input-lg"
                           placeholder="Username" required="true" autofocus="true" th:field="*{username}" />
                </div>
                <div class="form-group">
                    <input type="password" name="password" id="password" class="form-control input-lg"
                           placeholder="Password" required="true"  th:field="*{password}" />
                </div>
                <div class="form-group">
                    <input type="number" name="age" id="age" class="form-control input-lg" placeholder="Age"
                           required="true" th:field="*{age}" />
                </div>
                <div class="form-group">
                    <select name="gender" id="gender">
                        <option th:each="gender : ${T(za.co.entelect.fitnessdashboard.domain.objects.account.Gender)
                        .values()}" th:value="${gender}" th:text="${gender.displayName}">
                        </option>
                    </select>
                </div>
                <div>
                    <input type="submit" class="btn btn-lg btn-primary btn-block" value="Register"/>
                </div>
            </form>
        </div>
        <!-- /.container -->
        <div th:replace="fragments/footer :: footer"/>
    </body>
</html>